<%@ page contentType="text/html;charset=UTF-8" pageEncoding="utf-8" trimDirectiveWhitespaces="false" session="false" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="my" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="s" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>

<my:pagetemplate title="Player Administration">
<jsp:attribute name="body">

    <form method="post" action="${pageContext.request.contextPath}/player/delete/${player.id}">
        <button type="submit" class="btn btn-primary">Delete</button>
    </form>


    <table class="table">
        <thead>
        <tr>
            <th>id</th>
            <th>name</th>
            <th>country</th>
            <th>team</th>
            <th>killStat</th>
            <th>deathStat</th>
            <th>assistStat</th>
        </tr>
        </thead>
        <tbody>
            <tr>
                <td><c:out value="${player.id}"/></td>
                <td><c:out value="${player.name}"/></td>
                <td><c:out value="${player.country}"/></td>
                <td><c:out value="${player.team.name}"/></td>
                <td><c:out value="${player.killStat}"/></td>
                <td><c:out value="${player.deathStat}"/></td>
                <td><c:out value="${player.assistStat}"/></td>
            </tr>
        </tbody>
    </table>

</jsp:attribute>
</my:pagetemplate>